package com.njzscloud.dispose.mfg.bom.constant;

import com.njzscloud.common.core.ienum.DictStr;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

/**
 * 字典代码：mtl_type
 * 字典名称：物料类型
 */
@Getter
@RequiredArgsConstructor
public enum MtlType implements DictStr {
    YuanLiao("YuanLiao", "原料"),

    FuChanPin("FuChanPin", "副产品"),

    ZhuChanPin("ZhuChanPin", "主产品"),

    ;
    private final String val;

    private final String txt;
}


